h64253
s 00000/00000/00040
d D 1.2 99/06/11 13:28:50 bonmarti 2 1
c Version du 11 Juin 99
e
s 00040/00000/00000
d D 1.1 99/06/11 12:52:52 bonmarti 1 0
c date and time created 99/06/11 12:52:52 by bonmarti
e
u
U
t
T
I 1
      subroutine ssmooth(tab,is,js,ism,jsm,smooth)
      integer*2 tab(is,js),t(512,100)
      integer smooth
c    on suppose is.le.1024
c               js.le.200
c
      if(smooth.lt.2)return
      kld=smooth-1
      do j=1,jsm
c              if(j.eq.jsm)type *,tab(150,j)
        j1=1+smooth*(j-1)
        j2=j1+kld
      do i=1,ism
        i1=1+smooth*(i-1)
        i2=i1+kld
          piv=0.
          den=0.
          do l=j1,j2
          do k=i1,i2
          kpiv=tab(k,l)
            if(kpiv.ne.32000)then
            den=den+1.
            piv=piv+kpiv
            endif
          enddo
          enddo
        t(i,j)=32000
        if(den.ne.0.)t(i,j)=piv/den+0.5
      enddo
      enddo
c
      do j=1,jsm
      do i=1,ism
      tab(i,j)=t(i,j)
      enddo
      enddo
      return
      end
          
          
E 1
